<template>
  <span v-html="view"></span>
</template>
<script lang="ts">
import { defineComponent, onMounted } from "vue";

export default defineComponent({
  name: "InternetPaymentViewDeposit",
  props: {
    view: {
      type: String,
      required: true,
    },
  },

  setup(props) {
    const { execJavaScript } = useInternetPaymentViewDeposit(props.view);
    onMounted(() => {
      execJavaScript();
    });
    return {};
  },
});
</script>
